#
# spec file for package gstreamer010-plugins-good (Version 0.10.6)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    ConsoleKit Mesa Mesa-devel PolicyKit SDL aaa_base aalib aalib-devel acl alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake avahi avahi-glib bash binutils brp-check-internal bzip2 cairo cairo-devel cdparanoia check check-devel coreutils cpio cpp cpp42 cracklib cups-libs cvs cyrus-sasl dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 esound esound-devel fftw3 file filesystem fillup findutils flac-devel fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc42 gcc42-c++ gconf2 gconf2-devel gconf2-lang gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-vfs2 gnome-vfs2-lang gpm grep groff gstreamer010 gstreamer010-devel gstreamer010-lang gstreamer010-plugins-base gstreamer010-plugins-base-devel gtk-doc gtk2 gtk2-devel gzip hal hal-devel hicolor-icon-theme info insserv iso_ent keyutils-libs krb5 ladspa less libFLAC++6 libFLAC8 libacl libasound2 libattr libavc1394-0 libavc1394-devel libblkid-devel libblkid1 libbz2-1 libbz2-devel libcaca-devel libcdio++0 libcdio-devel libcdio7 libcdio_cdda0 libcdio_paranoia0 libcom_err-devel libcom_err2 libdaemon libdb-4_5 libdrm libdv-devel libdv4 libexpat-devel libexpat1 libext2fs-devel libext2fs2 libgcc42 libgcrypt libglade2 libgomp42 libgpg-error libiec61883 libiec61883-devel libiso9660-5 libjpeg libjpeg-devel libltdl-3 libmudflap42 libnscd libogg libogg-devel liboil liboil-devel libopenssl0_9_8 libpng libpng-devel libraw1394-8 libraw1394-devel libreadline5 libshout libshout-devel libsmbios-libs libspeex libstdc++-devel libstdc++42 libstdc++42-devel libtheora-devel libtheora0 libtiff3 libtool libudf0 libusb libusb-devel libuuid-devel libuuid1 libvisual libvolume_id libvorbis libvorbis-devel libwavpack1 libxcrypt libxml2 libxml2-devel libxslt libzio linux-kernel-headers m4 make man mktemp ncurses ncurses-devel net-tools netcfg nss-mdns openjade openldap2-client opensp openssl-certs orbit2 orbit2-devel pam pam-config pam-modules pango pango-devel parted patch pcre pcre-devel perl perl-base permissions pkg-config pmtools popt popt-devel post-build-checks pwdutils python python-xml pyxml rpm sed setserial sgml-skel slang slang-devel speex-devel sqlite sysvinit taglib taglib-devel tar tcpd texinfo timezone util-linux valgrind wavpack wavpack-devel xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           gstreamer010-plugins-good
%define _name gst-plugins-good
Version:        0.10.6
Release:        41.6
%define gst_branch 0.10
BuildRequires:  aalib-devel cairo-devel check-devel esound-devel flac-devel gcc-c++ gconf2-devel gstreamer010-plugins-base-devel gtk-doc gtk2-devel hal-devel ladspa libcaca-devel libcdio-devel libdv-devel libjpeg-devel liboil-devel libshout-devel libtheora-devel libvorbis-devel pyxml sgml-skel speex-devel taglib-devel wavpack-devel
%if %suse_version < 1020
BuildRequires:  kernel-source
%endif
%ifarch %ix86 ppc x86_64
BuildRequires:  valgrind
%endif
%if %suse_version >= 1020
BuildRequires:  libavc1394-devel libiec61883-devel
%endif
License:        LGPL v2.1 or later
Group:          System/GUI/GNOME
Source:         %{_name}-%{version}.tar.bz2
Patch0:         gst-plugins-good-ac.diff
Patch1:         gst-plugins-good-speex-header-boundscheck.patch
# PATCH-FIX-UPSTREAM TKADV2009-003.patch bnc469336 sbrabec@suse.cz - Fix several heap overflows.
Patch2:         TKADV2009-003.patch
# PATCH-FIX-UPSTREAM CVE-2009-1932.patch bnc510292 sbrabec@suse.cz - Fix integer overflow.
Patch3:         CVE-2009-1932.patch
Url:            http://gstreamer.freedesktop.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Obsoletes:      gstreamer-plugin-libs
%if %suse_version > 1000
Enhances:       gstreamer010
%endif
Requires:       gstreamer010 = %(rpm -q --queryformat '%{VERSION}' gstreamer010)
# qtdemux, videocrop, wavpack moved from bad (after OpenSUSE 10.2):
Conflicts:      gstreamer010-plugins-bad <= 0.10.4
%gconf_schemas_prereq

%description
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related, from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing newplug-ins.



Authors:
--------
    Erik Walthinsen <omega@temple-baptist.com>
    Matt Howell <mhowell@users.sourceforge.net>
    Brent Bradburn <bbradburn@users.sourceforge.net>
    Wim Taymans <wim.taymans@chello.be>
    Richard Boulton <richard@tartarus.org>
    Zaheer Abbas Merali <zaheerabbas@merali.org>
    David I. Lehn <dlehn@users.sourceforge.net>
    Chris Emerson <chris@tartarus.org>
    Jens Thiele <karme@unforgettable.com>
    Thomas Nyberg <thomas@codefactory.se>
    Bastien Nocera <hadess@hadess.net>
    Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
    Thomas Vander Stichele <thomas@apestaart.org>
    Andy Wingo <wingo@pobox.com>
    Cameron Hutchison <camh@xdna.net>
    David Schleef <ds@schleef.org>
    Benjamin Otte <in7y118@public.uni-hamburg.de>
    Ronald Bultje <rbultje@ronald.bitfreak.net>
    Julien Moutte <julien@moutte.net>
    Jan Schmidt <thaytan@mad.scientist.com>
    Arwed v. Merkatz <v.merkatz@gmx.net>

%debug_package
%package doc
License:        LGPL v2.1 or later
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}

%description doc
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related, from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing newplug-ins.



Authors:
--------
    Erik Walthinsen <omega@temple-baptist.com>
    Matt Howell <mhowell@users.sourceforge.net>
    Brent Bradburn <bbradburn@users.sourceforge.net>
    Wim Taymans <wim.taymans@chello.be>
    Richard Boulton <richard@tartarus.org>
    Zaheer Abbas Merali <zaheerabbas@merali.org>
    David I. Lehn <dlehn@users.sourceforge.net>
    Chris Emerson <chris@tartarus.org>
    Jens Thiele <karme@unforgettable.com>
    Thomas Nyberg <thomas@codefactory.se>
    Bastien Nocera <hadess@hadess.net>
    Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
    Thomas Vander Stichele <thomas@apestaart.org>
    Andy Wingo <wingo@pobox.com>
    Cameron Hutchison <camh@xdna.net>
    David Schleef <ds@schleef.org>
    Benjamin Otte <in7y118@public.uni-hamburg.de>
    Ronald Bultje <rbultje@ronald.bitfreak.net>
    Julien Moutte <julien@moutte.net>
    Jan Schmidt <thaytan@mad.scientist.com>
    Arwed v. Merkatz <v.merkatz@gmx.net>

%package extra
License:        LGPL v2.1 or later
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}
# For update from <= 10.2:
Conflicts:      gstreamer010-plugins-bad <= 0.10.3

%description extra
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.



Authors:
--------
    Erik Walthinsen <omega@temple-baptist.com>
    Matt Howell <mhowell@users.sourceforge.net>
    Brent Bradburn <bbradburn@users.sourceforge.net>
    Wim Taymans <wim.taymans@chello.be>
    Richard Boulton <richard@tartarus.org>
    Zaheer Abbas Merali <zaheerabbas@merali.org>
    David I. Lehn <dlehn@users.sourceforge.net>
    Chris Emerson <chris@tartarus.org>
    Jens Thiele <karme@unforgettable.com>
    Thomas Nyberg <thomas@codefactory.se>
    Bastien Nocera <hadess@hadess.net>
    Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
    Thomas Vander Stichele <thomas@apestaart.org>
    Andy Wingo <wingo@pobox.com>
    Cameron Hutchison <camh@xdna.net>
    David Schleef <ds@schleef.org>
    Benjamin Otte <in7y118@public.uni-hamburg.de>
    Ronald Bultje <rbultje@ronald.bitfreak.net>
    Julien Moutte <julien@moutte.net>
    Jan Schmidt <thaytan@mad.scientist.com>
    Arwed v. Merkatz <v.merkatz@gmx.net>

%prep
%setup -q -n %{_name}-%{version}
%patch0
%patch1 -p0
%patch2 -p1
%patch3 -p1

%build
# FIXME:
# warning: failed to load external entity "xml/element-v4l2src-details.xml"
# warning: failed to load external entity "xml/plugin-video4linux2.xml"
NOCONFIGURE=1 ./autogen.sh
# FIXME: Several plugins are force-disabled, even if they are enabled.
%if %suse_version < 1020
export CPPFLAGS="-I/usr/src/linux/include"
%endif
%configure\
	--disable-schemas-install\
	--enable-gtk-doc\
	--enable-experimental\
	--enable-ladspa
make %{?jobs:-j%jobs}

%install
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{_name}-%{gst_branch}
%find_gconf_schemas
cat %{_name}-%{gst_branch}.lang %{name}.schemas_list >%{name}.lst
rm $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{gst_branch}/*.*a

%clean
rm -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre
%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%files -f %{name}.lst
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README RELEASE REQUIREMENTS
%{_libdir}/gstreamer-%{gst_branch}/libgstaasink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstannodex.so
%{_libdir}/gstreamer-%{gst_branch}/libgstalaw.so
%{_libdir}/gstreamer-%{gst_branch}/libgstalpha.so
%{_libdir}/gstreamer-%{gst_branch}/libgstalphacolor.so
%{_libdir}/gstreamer-%{gst_branch}/libgstapetag.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaudiofx.so
%{_libdir}/gstreamer-%{gst_branch}/libgstauparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstautodetect.so
%{_libdir}/gstreamer-%{gst_branch}/libgstavi.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcacasink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcairo.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcdio.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcutter.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdebug.so
%{_libdir}/gstreamer-%{gst_branch}/libgstefence.so
%{_libdir}/gstreamer-%{gst_branch}/libgsteffectv.so
%{_libdir}/gstreamer-%{gst_branch}/libgstesd.so
%{_libdir}/gstreamer-%{gst_branch}/libgstflac.so
%{_libdir}/gstreamer-%{gst_branch}/libgstflxdec.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgamma.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgconfelements.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgoom.so
%{_libdir}/gstreamer-%{gst_branch}/libgsticydemux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstid3demux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstjpeg.so
%{_libdir}/gstreamer-%{gst_branch}/libgstlevel.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmatroska.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmulaw.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmultipart.so
%{_libdir}/gstreamer-%{gst_branch}/libgstnavigationtest.so
%{_libdir}/gstreamer-%{gst_branch}/libgstossaudio.so
%{_libdir}/gstreamer-%{gst_branch}/libgstpng.so
%{_libdir}/gstreamer-%{gst_branch}/libgstqtdemux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrtp.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrtsp.so
%{_libdir}/gstreamer-%{gst_branch}/libgsttaglib.so
%{_libdir}/gstreamer-%{gst_branch}/libgstudp.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideobalance.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideocrop.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideoflip.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideomixer.so
%{_libdir}/gstreamer-%{gst_branch}/libgstwavenc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstwavpack.so
%{_libdir}/gstreamer-%{gst_branch}/libgstwavparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstximagesrc.so
%{_libdir}/gstreamer-%{gst_branch}/libgsthalelements.so

%files doc
%defattr(-, root, root)
%{_datadir}/gtk-doc/html/gst-plugins-good-plugins-%{gst_branch}

%files extra
%defattr(-, root, root)
%if %suse_version >= 1020
%{_libdir}/gstreamer-%{gst_branch}/libgst1394.so
%endif
%{_libdir}/gstreamer-%{gst_branch}/libgstdv.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgdkpixbuf.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmonoscope.so
%{_libdir}/gstreamer-%{gst_branch}/libgstshout2.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsmpte.so
%{_libdir}/gstreamer-%{gst_branch}/libgstspeex.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideo4linux2.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideobox.so

%changelog
* Mon Jun 08 2009 - sbrabec@suse.cz
- Fixed PNG decoder integer overflow (bnc#510292, CVE-2009-1932).
* Mon Feb 16 2009 - sbrabec@suse.cz
- Fixed QuickTime heap overflows (bnc469336, TKADV2009-003,
  CVE-2009-0386, CVE-2009-0387, CVE-2009-0397).
* Tue Apr 15 2008 - maw@suse.de
- Add gst-plugins-good-speex-header-boundscheck.patch (bnc#379099,
  bnc#377602, and CVE-2008-1686).
* Thu Aug 02 2007 - sbrabec@suse.cz
- Use Enhances: gstreamer010 instead of Supplements (#294358).
* Wed Jun 20 2007 - sbrabec@suse.cz
- Updated to version 0.10.6:
  * Much improved RTSP/RTP and V4l2 support
  * New plugins - audiopanorama, audioinvert, audiodynamic,
  audioamplify
  * qtdemux, videocrop and wavpack elements moved from Bad Plugins
  * Fixes in avi and matroska muxing
  * Fixes in wavparse, sunaudio, AVI demuxing, ID3 tag handling
  * gamma element ported to 0.10
  * Parallel installability with 0.8.x series
  * Threadsafe design and API
  * Many bugs fixed
* Wed May 30 2007 - dmueller@suse.de
- remove redundant buildrequires
* Wed May 16 2007 - sbrabec@suse.cz
- Use Supplements instead of not yet supported Enhances.
- Fixed invalid comparison.
* Sat May 12 2007 - olh@suse.de
- remove unneded Buildrequires for libraw1394-devel
* Thu Apr 19 2007 - schwab@suse.de
- Fix quoting in autoconf macros.
* Wed Apr 18 2007 - sbrabec@suse.cz
- Build correctly in older products (flac, kernel headers).
* Fri Apr 13 2007 - tiwai@suse.de
- fix build and support FLAC 1.1.4.
* Wed Apr 11 2007 - sbrabec@suse.cz
- V4L2 source moved from Bad Plugins. Use Conflicts (#260445).
* Tue Mar 27 2007 - sbrabec@suse.cz
- Updated to version 0.10.5:
  * Parallel installability with 0.8.x series
  * Threadsafe design and API
  * RTP/RTSP improvements
  * Fixes in OSS support
  * Addition of the audiopanorama element
  * Improvements in AVI playback
  * Annodex playback fixes
  * Support FLAC in OGG and Matroska
  * Fixes in the Speex decoder
  * V4L2 source moved from Bad Plugins
  * SMPTE element ported to 0.10
  * GStreamer Data Protocol (GDP) Payloader and Depayloader
  elements added
  * Many other bug-fixes
* Fri Dec 29 2006 - sbrabec@suse.cz
- Fixed schemas installation.
* Mon Dec 18 2006 - sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Tue Nov 07 2006 - abockover@suse.de
- Updated to version 0.10.4:
  * Scores of bug fixes
  * Firewires/1394 support needs libiec61883 now
  * Lots of id3demux fixes including image support
  * Added apev2mux element
  * Added HAL elements
  * Support push-based FLAC decoding
* Tue Jun 20 2006 - sbrabec@suse.cz
- Updated to version 0.10.3:
  * Annodex/CMML support
  * RTSP and RTP enhancements
  * HAL configured audio device support
  * FLAC, Matroska, AVI, WAV, ID3, APE, DV and JPEG plugin
  improvements
  * Recognise SSA/ASS and USF subtitles in Matroska files
  * Fixes for ESD and SunAudio output plugins
  * More uniform plugin descriptions
  * IceCast metadata reading plugin added
  * New plugins ported from 0.8: OSX audio, AVI muxer, X-Windows
  input, WAV encoder, Gdk-Pixbuf image decoder, Smoke decoder,
  Video colour balance
  * Lots of bug fixes
* Wed May 31 2006 - hpj@suse.de
- Added backported ID3v2 muxer element, required for Banshee
  tagging. Fixes part of Novell bug #132801.
* Mon Apr 10 2006 - jpr@suse.de
- Move some more plugins to and extras package
* Fri Apr 07 2006 - jpr@suse.de
- Split out oil dependant plugins
* Fri Feb 24 2006 - jpr@suse.de
- update to 0.10.2
- Changes since 0.10.1:
  * New libcdio based CDDA reading element
  * APE tag reader ported
  * ID3 tag reading fixes
  * Sun Audio Sink fixes
  * GOOM and gconf element fixes
  * lots of bug and leak fixes
  Bugs fixed since 0.10.1:
  * 328336 : silence warings which make dvdec / dvdemux unusable
  * 315557 : Internal event problem with MP3s from vgmix.com
  * 323327 : [cdio] port cddasrc to 0.10
  * 325148 : Bugs in G711 RTP packetization logic
  * 325649 : apetag plugin needs porting to 0.10
  * 326446 : check that all elements in -good pass queries they can't ...
  * 326602 : id3demux is not compiling without ZLIB
  * 326683 : build problem caused by AS_LIBTOOL_TAGS([CXX])
  * 326736 : gconf(audio|video)sink response to key changes
  * 326864 : [wavparse] time to bytes format conversion broken
  * 327009 : [esdsink] won't compile with includes in non-standard prefix
  * 327765 : [sunaudio] fixes for mixer and stuttering mp3 playback
  * 327825 : [matroskamux]  Matroska muxer deadlock
  * 327871 : [videobox] crash when cropping
  * 328241 : id3demux emits NULL date for year tags
  * 328264 : Fix build with gcc 2.95
  * 328531 : [matroskamux] doesn't send newsegment event, critical war...
  * 329181 : totem crash when using goom effect
  * 329810 : Fails to read ID3 tag
  * 330005 : Please use the autodetect sinks by default
  * 317658 : [cdio] support for cd-text and cd-g
* Tue Feb 14 2006 - sbrabec@suse.cz
- Fixed Requires.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 - ro@suse.de
- avoid gstreamer installation (-gstreamer in nfb)
* Wed Jan 18 2006 - sbrabec@suse.cz
- Updated to version 0.10.1.
* Fri Jan 06 2006 - sbrabec@suse.cz
- Removed obsolete configure option.
* Wed Jan 04 2006 - sbrabec@suse.cz
- New SuSE package, version 0.10.0.
- Worked around -export-symbols-regex libtool problems.
